//// работа с памятью EEPROM
//
///////////////**************************************************

// начальная инициализация
void iniEEPROM() {
  EEPROM.write(0,0);  
  EEPROM.write(1,1);  
  EEPROM.write(2,0);  
  EEPROM.write(3,200);  
  EEPROM.write(4,0);  
  EEPROM.write(5,1);  
  EEPROM.write(6,0);  
  EEPROM.write(7,2);  
  EEPROM.write(8,0);  
  EEPROM.write(9,200);  
  EEPROM.write(10,0);  
  EEPROM.write(11,2);  
  EEPROM.write(12,0);  
  EEPROM.write(13,200);  
  EEPROM.write(14,0);  
  EEPROM.write(15,1);  

  //EEPROM.write(16,0);  
  //EEPROM.write(17,0);  
  EEPROM.write(18,4);  
  EEPROM.write(19,0);  
  }


// получить значения параметра из EEPROM
void getParamsEEPROM() {
  platform.dir=((EEPROM.read(0)<<8)+EEPROM.read(1))-2;
  platform.speedMotor=((EEPROM.read(2)<<8)+EEPROM.read(3));
  platform.numLight=((EEPROM.read(4)<<8)+EEPROM.read(5));
  platform.color=((EEPROM.read(6)<<8)+EEPROM.read(7));
  platform.bright=((EEPROM.read(8)<<8)+EEPROM.read(9));
  platform.currentColor=((EEPROM.read(10)<<8)+EEPROM.read(11));
  platform.currentBright=((EEPROM.read(12)<<8)+EEPROM.read(13));
  platform.dirCurrentBright=((EEPROM.read(14)<<8)+EEPROM.read(15))-2;
  //platform.pause= ((EEPROM.read(19) << 0) & 0xFF) + ((EEPROM.read(18) << 8) & 0xFFFF)
  //                + ((EEPROM.read(17) << 16) & 0xFFFFFF) + ((EEPROM.read(16) << 24) & 0xFFFFFFFF);
  platform.pause=((EEPROM.read(18)<<8)+EEPROM.read(19));
  }
// сохранить значения параметров в EEPROM
void saveParamsEEPROM() {
  EEPROM.write(0,highByte(platform.dir+2));  
  EEPROM.write(1,lowByte(platform.dir+2));  
  EEPROM.write(2,highByte(platform.speedMotor));  
  EEPROM.write(3,lowByte(platform.speedMotor));  
  EEPROM.write(4,highByte(platform.numLight));  
  EEPROM.write(5,lowByte(platform.numLight));  
  EEPROM.write(6,highByte(platform.color));  
  EEPROM.write(7,lowByte(platform.color));  
  EEPROM.write(8,highByte(platform.bright));  
  EEPROM.write(9,lowByte(platform.bright));  
  EEPROM.write(10,highByte(platform.currentColor));  
  EEPROM.write(11,lowByte(platform.currentColor));  
  EEPROM.write(12,highByte(platform.currentBright));  
  EEPROM.write(13,lowByte(platform.currentBright));  
  EEPROM.write(14,highByte(platform.dirCurrentBright+2));  
  EEPROM.write(15,lowByte(platform.dirCurrentBright+2));  

  //EEPROM.write(16,byte((platform.pause>> 24) & 0xFF));  
  //EEPROM.write(17,byte((platform.pause>> 16) & 0xFF));  
  //EEPROM.write(18,byte((platform.pause>> 8) & 0xFF));  
  //EEPROM.write(19,byte(platform.pause & 0xFF));  
  EEPROM.write(18,highByte(platform.pause));  
  EEPROM.write(19,lowByte(platform.pause));  

  }
