//// Обработка нажатия клавиш
//
///////////////**************************************************

// остановить платформу и освещение
void doButtons0(int but) {
   switch(but) {
      case 2:    // следующая настройка
         resSettings=(resSettings+1)%8;
         setLedsSettings(ledsSettings[resSettings][0],
                  ledsSettings[resSettings][1],
                  ledsSettings[resSettings][2]);
         //Serial.print("resSettings=");Serial.println(resSettings);
         break;
      case 1:    // остановить шаговый двигатель
         platform.dir=0;
         setSpeedMotor(platform.speedMotor, platform.dir);
         //Serial.print("speedMotor=");Serial.println(platform.speedMotor*platform.dir);
         break;
      case 3:    // выключить освещение
         platform.numLight=0;
         break;
      default:
         break;
   }
}
// установка направление движения мотора (-1, 0, 1)
void doButtons1(int but) {
   switch(but) {
      case 2:
         resSettings=(resSettings+1)%8;
         setLedsSettings(ledsSettings[resSettings][0],
                  min(ledsSettings[resSettings][1],map(platform.speedMotor,speedMotorMin,speedMotorMax,10,255)),
                  ledsSettings[resSettings][2]);
         //Serial.print("resSettings=");Serial.println(resSettings);
         break;
      case 1:    // вращение по часовой
         platform.dir=-1;
         setSpeedMotor(platform.speedMotor, platform.dir);
         //Serial.print("speedMotor=");Serial.println(platform.speedMotor*platform.dir);
         break;
      case 3:    // вращение против часовой
         platform.dir=1;
         setSpeedMotor(platform.speedMotor, platform.dir);
         //Serial.print("speedMotor=");Serial.println(platform.speedMotor*platform.dir);
         break;
     default:
         break;
   }
}
// установка скорость движения мотора
// от speedMotorMin до speedMotorMax с шагом speedMotorStep
void doButtons2(int but) {
   switch(but) {
      case 2:
         resSettings=(resSettings+1)%8;
         setLedsSettings(ledsSettings[resSettings][0],
                  ledsSettings[resSettings][1],
                  ledsSettings[resSettings][2]);
         //Serial.print("resSettings=");Serial.println(resSettings);
         break;
      case 1:    // уменьшение скорости
         platform.speedMotor=max(platform.speedMotor-speedMotorStep,speedMotorMin);
         if(platform.speedMotor==speedMotorMin) {
            tone(pinBuzzer,350,1500);
         }
         setLedsSettings(ledsSettings[resSettings][0],
                  min(ledsSettings[resSettings][1],map(platform.speedMotor,speedMotorMin,speedMotorMax,10,255)),
                  ledsSettings[resSettings][2]);
         setSpeedMotor(platform.speedMotor, platform.dir);
         //Serial.print("speedMotor=");Serial.println(platform.speedMotor*platform.dir);
         break;
       case 3:    // увеличение скорости
         platform.speedMotor=min(platform.speedMotor+speedMotorStep,speedMotorMax);
         if(platform.speedMotor==speedMotorMax) {
            tone(pinBuzzer,350,1500);
         }
         setLedsSettings(ledsSettings[resSettings][0],
                  min(ledsSettings[resSettings][1],map(platform.speedMotor,speedMotorMin,speedMotorMax,10,255)),
                  ledsSettings[resSettings][2]);
         setSpeedMotor(platform.speedMotor, platform.dir);
         //Serial.print("speedMotor=");Serial.println(platform.speedMotor*platform.dir);
         break;
      default:
         break;
   }
}
// установка максимальной яркости RGB-лента 
// от brightRGBMin до brightRGBMmax с шагом brightRGBStep
void doButtons3(int but) {
   switch(but) {
      case 2:
         resSettings=(resSettings+1)%8;
         setLedsSettings(ledsSettings[resSettings][0],
                  ledsSettings[resSettings][1],
                  ledsSettings[resSettings][2]);
         //Serial.print("resSettings=");Serial.println(resSettings);
         break;
      case 1:    // уменьшение яркости
         platform.bright=max(platform.bright-brightRGBStep,brightRGBMin);
         if(platform.bright==brightRGBMin) {
            tone(pinBuzzer,350,1500);
         }
         setLedsSettings(ledsSettings[resSettings][0],
                  ledsSettings[resSettings][1],
                  min(ledsSettings[resSettings][2],map(platform.bright,brightRGBMin,brightRGBMax,5,255)));
         platform.currentBright=platform.bright;
         //Serial.print("bright=");Serial.println(platform.bright);  
         //Serial.print("ledbright=");Serial.println(map(platform.bright,brightRGBMin,brightRGBMax,5,255));  
         break;    
      case 3:    // увеличение яркости
         platform.bright=min(platform.bright+brightRGBStep,brightRGBMax);
         if(platform.bright==brightRGBMax) {
            tone(pinBuzzer,350,1500);
         }
         setLedsSettings(ledsSettings[resSettings][0],
                  ledsSettings[resSettings][1],
                  min(ledsSettings[resSettings][2],map(platform.bright,brightRGBMin,brightRGBMax,5,255)));
         platform.currentBright=platform.bright;
         //Serial.print("bright=");Serial.println(platform.bright);  
         break;    
      default:
         break;
   }
}
// установка цвета RGB-лента
void doButtons4(int but) {
   switch(but) {
      case 2:
         resSettings=(resSettings+1)%8;
         setLedsSettings(ledsSettings[resSettings][0],
                  ledsSettings[resSettings][1],
                  ledsSettings[resSettings][2]);
         //Serial.print("resSettings=");Serial.println(resSettings);
         break;
      case 1:    // предыдущий цвет
         platform.color=platform.color-1;
         if(platform.color==0) {
            platform.color=7;
         }
         platform.currentColor=platform.color;   
         platform.currentBright=255;   
         //Serial.print("colort=");Serial.println(platform.color);  
         break;    
      case 3:    // следующий цвет
         platform.color=(platform.color+1)%8;
         if(platform.color==0) {
            platform.color=1;
         }
         platform.currentColor=platform.color;   
         platform.currentBright=255;   
         //Serial.print("colort=");Serial.println(platform.color);  
         break;    
      default:
         break;
   }
}
// выбор длительности смены цвета RGB-лента
void doButtons5(int but) {
   switch(but) {
      case 2:
         resSettings=(resSettings+1)%8;
         setLedsSettings(ledsSettings[resSettings][0],
                  ledsSettings[resSettings][1],
                  ledsSettings[resSettings][2]);
         //Serial.print("resSettings=");Serial.println(resSettings);
         break;
      case 3:     // старт установки параметра platform.pause
         millisSetPause=millis();
         //Serial.print("set pause start=");Serial.println(resSettings);
         break;
      case 13:     // финиш установки параметра platform.pause
         platform.pause=millis()-millisSetPause;
         //Serial.print("platform.pause=");Serial.println(platform.pause);
         break;
      default:
         break;
   }
}
// выбор режима освещения RGB-лента 
// 0 - не горит ,
// 1 - пост. цвет и яркость,
// 2 - пост. цвет и меняющаяся яркость 0 --> max ,   
// 3 - все цвета и постоянная яркость,
// 4 - все цвета и меняющаяся яркость 0 --> max,
void doButtons6(int but) {
   switch(but) {
      case 2:
         resSettings=(resSettings+1)%8;
         setLedsSettings(ledsSettings[resSettings][0],
                  ledsSettings[resSettings][1],
                  ledsSettings[resSettings][2]);
         //Serial.print("resSettings=");Serial.println(resSettings);
         break;
      case 1:    // предыдущий режим
         platform.numLight=platform.numLight-1;
         if(platform.numLight<0) {
            platform.numLight=4;
         }
         //Serial.print("platform.numLight=");Serial.println(platform.numLight);  
         break;    
      case 3:    // следующий режим
         platform.numLight=(platform.numLight+1)%5;
         //Serial.print("platform.numLight=");Serial.println(platform.numLight);  
         break;    
      default:
         break;
   }
}
// сохранение текущих параметров в EEPROM
// получение настроек из EEPROM
void doButtons7(int but) {
   switch(but) {
      case 2:
         resSettings=(resSettings+1)%8;
         setLedsSettings(ledsSettings[resSettings][0],
                  ledsSettings[resSettings][1],
                  ledsSettings[resSettings][2]);
         //Serial.print("resSettings=");Serial.println(resSettings);
         break;
      case 1:    // получить параметры из EEPROM
         getParamsEEPROM();
         //Serial.println("getParamsEEPROM()");  
         break;    
      case 3:    // сохранить параметры в EEPROM
         saveParamsEEPROM();
         setSpeedMotor(platform.speedMotor, platform.dir);
         //Serial.println("saveParamsEEPROM()");  
         break;    
      default:
         break;
   }
}
