//// Светодиоды
//
///////////////**************************************************

// индикация режима настройки
void setLedsSettings(int r, int g, int b) {
  digitalWrite(pinLedSettingsRed,r);
  analogWrite(pinLedSettingsGreen,g);
  analogWrite(pinLedSettingsBlue,b);  
}

// установка цвета RGB-ленты
void setLedsLight(int r, int g, int b) {
  analogWrite(pinLedLightRed,r);
  analogWrite(pinLedLightGreen,g);
  analogWrite(pinLedLightBlue,b);
}

// RGB-лента
void RGB(int res) {
  switch(res) {
     case 0:      // выключить RGB
        setLedsLight(0,0,0);
        break;
     case 1:     // один цвет на постоянной яркости
        setLedsLight(min(ledsSettings[platform.color][0],platform.bright),
                     min(ledsSettings[platform.color][1],platform.bright),
                     min(ledsSettings[platform.color][2],platform.bright));
        break;
     case 2:     // 
        setLedsLight(min(ledsSettings[platform.color][0],platform.currentBright),
                     min(ledsSettings[platform.color][1],platform.currentBright),
                     min(ledsSettings[platform.color][2],platform.currentBright));
        if(millis()-millisChangeRGB >= platform.pause/platform.bright) {
            platform.currentBright=platform.currentBright+platform.dirCurrentBright;
            if(platform.currentBright>platform.bright) {
               platform.dirCurrentBright=-1;
               platform.currentBright=platform.bright;
            }
            else if(platform.currentBright<0) {
               platform.dirCurrentBright=1;
               platform.currentBright=0;
            }
            
            millisChangeRGB=millis();          
        }
        break;
     case 3: 
        setLedsLight(min(ledsSettings[platform.currentColor][0],platform.bright),
                     min(ledsSettings[platform.currentColor][1],platform.bright),
                     min(ledsSettings[platform.currentColor][2],platform.bright));
        if(millis()-millisChangeRGB >= platform.pause) {
            platform.currentColor=max(1,(platform.currentColor+1)%8);
            millisChangeRGB=millis();          
        }

        break;
     case 4: 
        setLedsLight(min(ledsSettings[platform.currentColor][0],platform.currentBright),
                     min(ledsSettings[platform.currentColor][1],platform.currentBright),
                     min(ledsSettings[platform.currentColor][2],platform.currentBright));
        if(millis()-millisChangeRGB >= platform.pause/platform.bright) {
            platform.currentBright=platform.currentBright+platform.dirCurrentBright;
            if(platform.currentBright>platform.bright) {
               platform.dirCurrentBright=-1;
               platform.currentBright=platform.bright;
            }
            else if(platform.currentBright<0) {
               platform.dirCurrentBright=1;
               platform.currentBright=0;
               platform.currentColor=max(1,(platform.currentColor+1)%8);
            }
            
            millisChangeRGB=millis();          
        }

        break;
     default: 
        break;
  }
}

